aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJacob Appelbaum <jacob@appelbaum.net>2011-08-17 17:14:21 +0200
committerJacob Appelbaum <jacob@appelbaum.net>2011-08-17 17:14:21 +0200
commitb848fc89a09e1ac2c3de4049e2cb7294cf589820 (patch)
tree98b9f3de2bd051863dc7723876d3c5731093d194
parenta56b3841d2adb8c995d6fe4603a7e7751bfa6d78 (diff)
downloadtorouter-b848fc89a09e1ac2c3de4049e2cb7294cf589820.zip
torouter-b848fc89a09e1ac2c3de4049e2cb7294cf589820.tar.gz
Add basic debian directory
-rw-r--r--packages/torouter-web/debian/README6
-rw-r--r--packages/torouter-web/debian/README.Debian8
-rw-r--r--packages/torouter-web/debian/changelog5
-rw-r--r--packages/torouter-web/debian/compat1
-rw-r--r--packages/torouter-web/debian/control13
-rw-r--r--packages/torouter-web/debian/copyright36
-rw-r--r--packages/torouter-web/debian/dirs1
-rw-r--r--packages/torouter-web/debian/postinst39
-rw-r--r--packages/torouter-web/debian/postrm37
-rw-r--r--packages/torouter-web/debian/preinst35
-rw-r--r--packages/torouter-web/debian/prerm38
-rwxr-xr-xpackages/torouter-web/debian/rules6
-rw-r--r--packages/torouter-web/debian/source/format1
-rw-r--r--packages/torouter-web/debian/torouter-tui.default10
14 files changed, 236 insertions, 0 deletions
diff --git a/packages/torouter-web/debian/README b/packages/torouter-web/debian/README
new file mode 100644
index 0000000..cda2d60
--- /dev/null
+++ b/packages/torouter-web/debian/README
@@ -0,0 +1,6 @@
+The Debian Package torouter-tui
+----------------------------
+
+This package is for the Torouter Web UI project from the Tor Project.
+
+ -- Jacob Appelbaum <jacob@torproject.org> Wed, 17 Aug 2011 17:15:08 -0400
diff --git a/packages/torouter-web/debian/README.Debian b/packages/torouter-web/debian/README.Debian
new file mode 100644
index 0000000..27e430c
--- /dev/null
+++ b/packages/torouter-web/debian/README.Debian
@@ -0,0 +1,8 @@
+torouter for Debian
+-------------------
+
+This is a package for Debian that converts a DreamPlug into a Torouter.
+
+It will configure the system without prompting the user for any input.
+
+ -- Jacob Appelbaum <jacob@torproject.org> Wed, 27 Jul 2011 09:51:21 -0400
diff --git a/packages/torouter-web/debian/changelog b/packages/torouter-web/debian/changelog
new file mode 100644
index 0000000..0dda21c
--- /dev/null
+++ b/packages/torouter-web/debian/changelog
@@ -0,0 +1,5 @@
+torouter-tui (0.0.1-1) unstable; urgency=low
+
+ * Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP>
+
+ -- Jacob Appelbaum <jacob@appelbaum.net> Wed, 17 Aug 2011 16:58:00 -0400
diff --git a/packages/torouter-web/debian/compat b/packages/torouter-web/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/packages/torouter-web/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/packages/torouter-web/debian/control b/packages/torouter-web/debian/control
new file mode 100644
index 0000000..a2aaac6
--- /dev/null
+++ b/packages/torouter-web/debian/control
@@ -0,0 +1,13 @@
+Source: torouter-tui
+Section: unknown
+Priority: extra
+Maintainer: Jacob Appelbaum <jacob@torproject.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.1
+Homepage: <https://www.torproject.org/>
+
+Package: torouter
+Architecture: all
+Depends: ${misc:Depends}, python, python-webpy
+Description: Torouter web UI
+ This package provides the Torouter web UI.
diff --git a/packages/torouter-web/debian/copyright b/packages/torouter-web/debian/copyright
new file mode 100644
index 0000000..eeef3f2
--- /dev/null
+++ b/packages/torouter-web/debian/copyright
@@ -0,0 +1,36 @@
+Format: http://dep.debian.net/deps/dep5
+Upstream-Name: torouter
+Source: <https://www.torproject.org/>
+
+Files: *
+Copyright: 2011 Arturo Filasto' <hellais@torproject.org>
+License: BSD-3-Clause
+
+Files: debian/*
+Copyright: 2011 Jacob Appelbaum <jacob@torproject.org>
+License: BSD-3-Clause
+
+License: BSD-3-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+ notice, this list of conditions and the following disclaimer in the
+ documentation and/or other materials provided with the distribution.
+ 3. Neither the name of the University nor the names of its contributors
+ may be used to endorse or promote products derived from this software
+ without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ SUCH DAMAGE.
diff --git a/packages/torouter-web/debian/dirs b/packages/torouter-web/debian/dirs
new file mode 100644
index 0000000..e772481
--- /dev/null
+++ b/packages/torouter-web/debian/dirs
@@ -0,0 +1 @@
+usr/bin
diff --git a/packages/torouter-web/debian/postinst b/packages/torouter-web/debian/postinst
new file mode 100644
index 0000000..97e9113
--- /dev/null
+++ b/packages/torouter-web/debian/postinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postinst script for torouter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/packages/torouter-web/debian/postrm b/packages/torouter-web/debian/postrm
new file mode 100644
index 0000000..632ac80
--- /dev/null
+++ b/packages/torouter-web/debian/postrm
@@ -0,0 +1,37 @@
+#!/bin/sh
+# postrm script for torouter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/packages/torouter-web/debian/preinst b/packages/torouter-web/debian/preinst
new file mode 100644
index 0000000..1cc598e
--- /dev/null
+++ b/packages/torouter-web/debian/preinst
@@ -0,0 +1,35 @@
+#!/bin/sh
+# preinst script for torouter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/packages/torouter-web/debian/prerm b/packages/torouter-web/debian/prerm
new file mode 100644
index 0000000..4bb95dd
--- /dev/null
+++ b/packages/torouter-web/debian/prerm
@@ -0,0 +1,38 @@
+#!/bin/sh
+# prerm script for torouter
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/packages/torouter-web/debian/rules b/packages/torouter-web/debian/rules
new file mode 100755
index 0000000..74439ab
--- /dev/null
+++ b/packages/torouter-web/debian/rules
@@ -0,0 +1,6 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+#export DH_VERBOSE=1
+
+%:
+ dh $@
diff --git a/packages/torouter-web/debian/source/format b/packages/torouter-web/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/packages/torouter-web/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/packages/torouter-web/debian/torouter-tui.default b/packages/torouter-web/debian/torouter-tui.default
new file mode 100644
index 0000000..f0fa807
--- /dev/null
+++ b/packages/torouter-web/debian/torouter-tui.default
@@ -0,0 +1,10 @@
+# Defaults for torouter-web initscript
+# sourced by /etc/init.d/torouter-web
+# installed at /etc/default/torouter-web by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+# When the package is configured - we set this accordingly
+# ARGS=""